## com.imcode.imcms.flow
Class PageFlow

    java.lang.Object
      com.imcode.imcms.flow.PageFlow

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

Direct Known Subclasses:
  DocumentPageFlow

    public abstract class PageFlow

extends java.lang.Object
implements java.io.Serializable, HttpSessionAttribute

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE_OR_PARAMETER__FLOW`
`static java.lang.String` `REQUEST_PARAMETER__CANCEL_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__OK_BUTTON`
`static java.lang.String` `REQUEST_PARAMETER__PAGE`
`protected DispatchCommand` `returnCommand`

Constructor Summary
`protected` `PageFlow(DispatchCommand returnCommand)`

Method Summary
`void` `dispatch(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract void` `dispatchFromPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String page)`
`protected abstract void` `dispatchOk(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String page)`
`protected void` `dispatchReturn(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract void` `dispatchToFirstPage(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` `getSessionAttributeName()`
`void` `setSessionAttributeName(java.lang.String sessionAttributeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PARAMETER__PAGE

    public static final java.lang.String REQUEST_PARAMETER__PAGE

See Also:
  Constant Field Values

### REQUEST_PARAMETER__CANCEL_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__CANCEL_BUTTON

See Also:
  Constant Field Values

### REQUEST_PARAMETER__OK_BUTTON

    public static final java.lang.String REQUEST_PARAMETER__OK_BUTTON

See Also:
  Constant Field Values

### REQUEST_ATTRIBUTE_OR_PARAMETER__FLOW

    public static final java.lang.String REQUEST_ATTRIBUTE_OR_PARAMETER__FLOW

See Also:
  Constant Field Values

### returnCommand

    protected DispatchCommand returnCommand

Constructor Detail

### PageFlow

    protected PageFlow(DispatchCommand returnCommand)

Method Detail

### getSessionAttributeName

    public java.lang.String getSessionAttributeName()

  Specified by:
    `getSessionAttributeName` in interface `HttpSessionAttribute`

### setSessionAttributeName

    public void setSessionAttributeName(java.lang.String sessionAttributeName)

  Specified by:
    `setSessionAttributeName` in interface `HttpSessionAttribute`

### dispatch

    public void dispatch(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchReturn

    protected void dispatchReturn(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws java.io.IOException,
                                  javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchToFirstPage

    protected abstract void dispatchToFirstPage(javax.servlet.http.HttpServletRequest request,
                                                javax.servlet.http.HttpServletResponse response)
                                         throws java.io.IOException,
                                                javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchOk

    protected abstract void dispatchOk(javax.servlet.http.HttpServletRequest request,
                                       javax.servlet.http.HttpServletResponse response,
                                       java.lang.String page)
                                throws java.io.IOException,
                                       javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### dispatchFromPage

    protected abstract void dispatchFromPage(javax.servlet.http.HttpServletRequest request,
                                             javax.servlet.http.HttpServletResponse response,
                                             java.lang.String page)
                                      throws java.io.IOException,
                                             javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`